// =============================================================================
//     BTSNetMsgUtils.h
// ============================================================================= 
/*	
	Routines for sending and receiving messages via 
	a socket
*/

#ifndef _B_BTSNETMSGUTILS_
#define _B_BTSNETMSGUTILS_


#include <AppKit.h>
#include "BTSSocket.h"

#pragma export on
#define MSG_IDENTIFIER 'AMSG'

// Message stuff
extern const char* SOURCE_SOCKET;

// ============================================================================= 
long 		SendNetMessage(const BTSSocket& socket, BMessage* inMessage);
long 		SendNetMessageData(const BTSSocket& socket, const long numBytes, 
								const char* buf);
BMessage* 	SafeUnflatten(const char* buf);
long 		ReceiveNetMessage(const BTSSocket& socket, BMessage& outMessage);

#pragma export reset
#endif